Множественные уязвимости в phpMyChat Plus

Дата публикации:
04.05.2011
Дата изменения:
04.05.2011
Всего просмотров:
2022
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:5/Temporal:4.5
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:P/RL:U/RC:C) = Base:6.4/Temporal:5.8
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
phpMyChat Plus 1.x
Уязвимые версии: phpMyChat Plus 1.93, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "pmc_password" в сценарии avatar.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах куки "CookieUsername" и "CookieStatus" в сценарии lurking.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: sourceforge.net/projects/phpmychat

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.autosectools.com/Advisory/phpMyChat-Plus-1.93-Reflected-Cross-site-Scripting-187
http://www.autosectools.com/Advisory/phpMyChat-Plus-1.93-Blind-SQL-Injection-188

или введите имя

CAPTCHA